Latest 1.0.3
Homepage https://github.com/jessesquires/JSQActivityKit
License MIT
Platforms ios 8.0, requires ARC
Frameworks UIKit
Authors

:warning: DEPRECATED :warning:

This library is no longer necessary, and thus no longer supported or developed.

JSQActivityKit

Build Status Version Status license MIT Platform Carthage compatible

Swift UIActivities for iOS

About

A Swift framework of UIActivity classes for sharing and performing actions with UIActivityViewController.

Current activities:

  • Safari
  • Instagram

Requirements

  • iOS 8+
  • Swift 2.0

Installation

CocoaPods (recommended)

use_frameworks!

# For latest release in cocoapods
pod 'JSQActivityKit'

# Feeling adventurous? Get the latest on develop
pod 'JSQActivityKit', :git => 'https://github.com/jessesquires/JSQActivityKit.git', :branch => 'develop'

Carthage

github "jessesquires/JSQActivityKit"

Documentation

Read the docs. Generated with jazzy. Hosted by GitHub Pages.

More information on the gh-pages branch.

Getting Started

import JSQActivityKit

See the included example app, open JSQActivityKit.xcworkspace.

Contribute

Please follow these sweet contribution guidelines.

Credits

Created and maintained by @jesse_squires.

License

JSQActivityKit is released under an MIT License. See LICENSE for details.

Copyright © 2015 Jesse Squires.

Please provide attribution, it is greatly appreciated.

Latest podspec

{
    "name": "JSQActivityKit",
    "version": "1.0.3",
    "license": "MIT",
    "summary": "Swift UIActivities for iOS",
    "homepage": "https://github.com/jessesquires/JSQActivityKit",
    "documentation_url": "http://jessesquires.com/JSQActivityKit",
    "social_media_url": "https://twitter.com/jesse_squires",
    "authors": {
        "Jesse Squires": "[email protected]"
    },
    "source": {
        "git": "https://github.com/jessesquires/JSQActivityKit.git",
        "tag": "1.0.3"
    },
    "source_files": "JSQActivityKit/JSQActivityKit/*.swift",
    "resources": "JSQActivityKit/JSQActivityKit/*.xcassets",
    "platforms": {
        "ios": "8.0"
    },
    "frameworks": "UIKit",
    "requires_arc": true,
    "deprecated": true
}

Pin It on Pinterest

Share This